Skip to main content
GET
/
v1
/
funding-methods
/
{fundingMethodId}
cURL
curl --request GET \
  --url https://api.nxos.io/v1/funding-methods/{fundingMethodId} \
  --header 'Authorization: <authorization>'
{
  "object": "funding_method",
  "fundingMethodId": "<string>",
  "accountId": "<string>",
  "name": "<string>",
  "type": "CRYPTO_ADDRESS",
  "status": "ACTIVE",
  "supportedAssets": [
    "<string>"
  ],
  "details": {
    "address": "<string>",
    "chainName": "<string>",
    "chainDisplayName": "<string>"
  },
  "createdAt": "<string>"
}

Headers

Authorization
string
required

Bearer token. Format: Bearer <api_key>

Path Parameters

fundingMethodId
string
required

Funding method identifier.

Response

The request has succeeded.

A funding method, discriminated by type. Use the type field to narrow the details payload:

  • CRYPTO_ADDRESSdetails is CryptoFundingMethodDetails
  • BANKdetails is BankFundingMethodDetails
object
enum<string>
required

Object type. Always funding_method.

Available options:
funding_method
fundingMethodId
string
required

Unique funding method identifier.

accountId
string
required

Account this funding method belongs to.

name
string | null
required

Display name for this funding method (set when the funding method was created).

type
enum<string>
required

Discriminator. Always CRYPTO_ADDRESS for this variant.

Available options:
CRYPTO_ADDRESS
status
enum<string>
required

Current status of this funding method.

Available options:
ACTIVE,
INACTIVE,
DELETED
supportedAssets
string[]
required

Asset codes that can be sent to this address — e.g. ["USDC", "USDT"].

details
object
required

Crypto-specific deposit details.

createdAt
string
required

When this funding method was created.